-- $Id: pgsql_create.sql 2923 2012-01-07 09:58:29Z coelho $
--
-- Salix Babylonica Schema Creation for PostgreSQL
--
-- Infrastrusture
--
-- NB : PgSQL must be fired from base directory

\set ON_ERROR_STOP 1

\echo building information_schema copy...
CREATE SCHEMA salix_information_schema;
SET search_path TO salix_information_schema, public;
\i pgsql/information_schema_copy.sql

--
-- Advices
--

\echo building salix...
CREATE SCHEMA salix;
SET search_path TO salix, salix_information_schema, public;

\i pgsql/utils.sql
\i pgsql/infrastructure.sql
\i common/adv_description.sql
\i pgsql/dbversion_data.sql
\i common/activation.sql
\i common/adv_design.sql
\i common/adv_performance.sql
\i pgsql/adv_dbversion.sql
\i common/adv_consistency.sql
\i pgsql/adv_system.sql
\i common/adv_system.sql
\i common/adv_summary.sql
\i common/adv_dbsummary.sql
\i common/marks.sql
