-- $Id: adv_system.sql 2923 2012-01-07 09:58:29Z coelho $

CREATE TABLE salix.in_trivial_password AS
SELECT
  CONCAT(user, '@', host) AS username,
  Super_priv OR Create_user_priv OR Grant_priv AS is_su
-- ??? should also consider mysql.db for additional privileges...
FROM mysql.user AS u
WHERE u.Password=PASSWORD(u.user)
   OR u.Password=PASSWORD('') -- PASSWORD('') = ''
   OR u.Password=PASSWORD(u.Host)
   OR u.Password=PASSWORD(CONCAT(u.User, u.Host))
   OR u.Password=PASSWORD(CONCAT(u.User, '@', u.Host));
-- OR LENGTH(u.Password)=16; -- old passwords hashed to 64 bits
-- OR u.Password IS NULL -- if the password is NULL?

CREATE TABLE salix.sa_trivial_password_user AS
SELECT username, CONCAT('user ', username) AS explanation
FROM salix.in_trivial_password
WHERE NOT is_su;

CREATE TABLE salix.sa_trivial_password_superuser AS
SELECT username, CONCAT('user ', username) AS explanation
FROM salix.in_trivial_password
WHERE is_su;

-- not implemented for MySQL
CREATE TABLE salix.sa_redundant_indexes
(
  tschema TEXT,
  tname TEXT,
  nb INTEGER,
  explanation TEXT
);
CREATE TABLE salix.sa_table_without_index
(
  tschema TEXT,
  tname TEXT,
  explanation TEXT
);
