-- $Id: mysql_create.sql 2923 2012-01-07 09:58:29Z coelho $
--
-- Salix Babylonica Database Creation for MySQL
--
-- NB : MySQL must be fired from base directory

-- Performance Hack : Copy and standardize all information_schema system
-- views into tables (about 10 times faster with copies...)

CREATE DATABASE salix_information_schema;
USE salix_information_schema;
SOURCE mysql/standard_information_schema.sql

--
-- Advices
--
CREATE DATABASE salix;
-- no USE, the salix_information_schema above is still active

SOURCE mysql/utils.sql
SOURCE mysql/infrastructure.sql
SOURCE common/adv_description.sql
SOURCE mysql/dbversion_data.sql
SOURCE common/activation.sql
SOURCE common/adv_design.sql
SOURCE common/adv_performance.sql
SOURCE mysql/adv_dbversion.sql
SOURCE common/adv_consistency.sql
SOURCE mysql/adv_system.sql
SOURCE common/adv_system.sql
SOURCE common/adv_summary.sql
SOURCE common/adv_dbsummary.sql
SOURCE common/marks.sql
